---
updatedAt: 2026-06-22T16:55:42.000Z
agentTools:
  projectIndex: https://docs.coderbyte.com/llms.txt
---

# List assessments

This route lists the assessments you have created in your account.

> 📘 Assessment IDs
>
> The `test_id` key you may see in some response objects is the ID for an assessment, so in the API documentation if you see `{assessmentID}` that is equivalent to the `test_id` value.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "coderbyte-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://coderbyte.com/api/organization/"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/assessments": {
      "get": {
        "summary": "List assessments",
        "description": "",
        "operationId": "list-assessments",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": \"success\",\n    \"data\": {\n      \"assessments\": [\n        {\n          \"display_name\": \"GraphQL Assessment\",\n          \"test_id\": \"graphql-assessment-ybi5lxlg22\",\n          \"closed\": false,\n          \"created_date\": \"01/11/23\",\n          \"public_url\": \"https://coderbyte.com/sl-candidate?promo=coderbyteengineering:graphql-assessment-ybi5lxlg22\",\n          \"workspaces\": [\"Front-end team\", \"University\"],\n          \"overview_stats\": {\n            \"total\": 0,\n            \"assessed\": 0,\n            \"qualified\": 0,\n            \"challenge_count\": 4,\n            \"open_ended_count\": 4,\n            \"multiple_choice_count\": 4,\n            \"project_count\": 0,\n            \"candidates_cheated_count\": 0,\n            \"created_by_email\": \"admin@coderbyte.com\",\n            \"qualifying_score\": 75,\n            \"ratings\": {\n              \"up\": 0,\n              \"down\": 0\n            }\n          }\n        }\n      ]\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "assessments": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "display_name": {
                                "type": "string",
                                "example": "GraphQL Assessment"
                              },
                              "test_id": {
                                "type": "string",
                                "example": "graphql-assessment-ybi5lxlg22"
                              },
                              "closed": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              },
                              "created_date": {
                                "type": "string",
                                "example": "01/11/23"
                              },
                              "public_url": {
                                "type": "string",
                                "example": "https://coderbyte.com/sl-candidate?promo=coderbyteengineering:graphql-assessment-ybi5lxlg22"
                              },
                              "workspaces": {
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "example": "Front-end team"
                                }
                              },
                              "overview_stats": {
                                "type": "object",
                                "properties": {
                                  "total": {
                                    "type": "integer",
                                    "example": 0,
                                    "default": 0
                                  },
                                  "assessed": {
                                    "type": "integer",
                                    "example": 0,
                                    "default": 0
                                  },
                                  "qualified": {
                                    "type": "integer",
                                    "example": 0,
                                    "default": 0
                                  },
                                  "challenge_count": {
                                    "type": "integer",
                                    "example": 4,
                                    "default": 0
                                  },
                                  "open_ended_count": {
                                    "type": "integer",
                                    "example": 4,
                                    "default": 0
                                  },
                                  "multiple_choice_count": {
                                    "type": "integer",
                                    "example": 4,
                                    "default": 0
                                  },
                                  "project_count": {
                                    "type": "integer",
                                    "example": 0,
                                    "default": 0
                                  },
                                  "candidates_cheated_count": {
                                    "type": "integer",
                                    "example": 0,
                                    "default": 0
                                  },
                                  "created_by_email": {
                                    "type": "string",
                                    "example": "admin@coderbyte.com"
                                  },
                                  "qualifying_score": {
                                    "type": "integer",
                                    "example": 75,
                                    "default": 0
                                  },
                                  "ratings": {
                                    "type": "object",
                                    "properties": {
                                      "up": {
                                        "type": "integer",
                                        "example": 0,
                                        "default": 0
                                      },
                                      "down": {
                                        "type": "integer",
                                        "example": 0,
                                        "default": 0
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl \\\n  -H \"Authorization: Bearer <API_KEY>\" \\\n  https://coderbyte.com/api/organization/assessments"
            },
            {
              "language": "javascript",
              "code": "import requests\n\nheaders = {\n  'Authorization': 'Bearer <API_KEY>',\n}\n\nresponse = requests.get('https://coderbyte.com/api/organization/assessments', headers=headers)"
            }
          ],
          "samples-languages": [
            "curl",
            "javascript"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```